#!/bin/bash
VERSION=$1

#ensure version
if [ x$VERSION == "x" ] ; then
	echo Please provide version as argument
	exit
fi

#Original source located at:


rm -rf flexdock-$VERSION
pushd .
mkdir flexdock-$VERSION

cd flexdock-$VERSION
unzip ../flexdock-$VERSION-src.zip

#ensure unzip OK
if [ $? != 0 ] ; then
	echo Unzip failed. Aborting.
	exit
fi

#remove unpackagable Java media framework
rm -rf ./lib/jmf
#Remove unneeded jars, seeing as we are repackaging
rm -f ./lib/*.jar
tar -czvf ../flexdock-$VERSION-clean.tar.gz ./
popd 
